﻿namespace U2UC.Metro.Controls
{
    using System;
    using Windows.UI.Xaml.Data;

    /// <summary>
    /// Multiplies value by parameter.
    /// </summary>
    public class ScaleFactorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, string language)
        {
            if (value == null)
                return null;

            double dblValue = (double)value;
            double factor = double.Parse((string)parameter);
            return dblValue * factor;
        }

        public object ConvertBack(object value, Type targetType, object parameter, string language)
        {
            throw new NotImplementedException();
        }
    }
}
